#include <bits/stdc++.h>
using namespace std;
int main(){
    cin.tie(0);
    ios_base::sync_with_stdio(false);
    int n;
    cin>>n;
    int brojp[10]={0};
    bool nemenjaj=false;
    int cifre[n];
    int mindeks,maksimum= 0,broj=9,brojaci=0;
    for(int i=0;i<n;i++){
        cin>>cifre[i];
        brojp[cifre[i]]++;
        if(brojp[cifre[i]]>1) nemenjaj=false;
        }
    while(broj>=0){
        if(brojp[broj]>0){
            if(cifre[brojaci]!=broj){
                for(int i=brojaci;i<n;i++){
                    if(cifre[i]==broj){
                            brojp[broj]--;
                            if(brojp[broj]==0){

                            swap(cifre[i],cifre[brojaci]);

                            broj=-10;
                    }
                }
            }
            }
            else { brojp[broj]--;
            brojaci++;


        }


    }
            if(brojp[broj]==0) broj--;
    }
    if(broj==-1){
        if(nemenjaj==false) swap(cifre[n-1],cifre[n-2]);

    }
    for(int i=0;i<n;i++){
        cout<<cifre[i]<<" ";
    }


}